Bug Hunting Session
Bug 46966 - RTF reader overrides margins when \header is present
Summary: RTF reader overrides margins when \header is present
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0 target:3.6.0.0.beta3 tar...
Keywords: filter:rtf
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2012-03-04 12:38 UTC by soren.hein
Modified: 2015-12-17 12:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soren.hein 2012-03-04 12:38:42 UTC
The below small file has a top margin of 1440 (1 inch), even though the top margin has been specified to be 720 (0.5 inch).

If I delete the line {\header Header}, the margins behave as expected.


{\rtf1\ansi\deff3\adeflang1025
{\fonttbl{\f0\froman\fprq2\fcharset0 Times New Roman;}}
{\stylesheet{\s0\snext0\f0\fs24 Normal;}}

\margl720\margr1440\margt720\margb1440
\sectd
\marglsxn720\margrsxn1440\margtsxn720\margbsxn1440
{\header Header}
Text
\par }
Comment 1 Jean-Baptiste Faure 2012-03-22 22:11:25 UTC
Indeed, it seems there is a problem.
I reproduce what is described with LO 3.5.3 rc0+ under Ubuntu 11.10.

Miklos, I think it's for you. Please have a look.

Best regards. JBF
Comment 2 Miklos Vajna 2012-06-22 09:53:13 UTC
Reproduced, will fix in a bit.
Comment 3 Not Assigned 2012-06-22 10:10:28 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4148d1bd400fe86b44e527a9fe11613c4437594c

fdo#46966 dmapper: fix headery/footery default value
Comment 4 Miklos Vajna 2012-06-22 10:15:11 UTC
Fixed in master, will cherry-pick to -3-6 and request cherry-picking to -3-5 a bit later.
Comment 5 Not Assigned 2012-06-25 08:19:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac00b2881824ebd40bfcb2b20c70df6d21daf677&g=libreoffice-3-6

fdo#46966 dmapper: fix headery/footery default value


It will be available in LibreOffice 3.6.
Comment 6 Not Assigned 2012-07-19 16:05:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=364cb1e3f0915dd11766ba9ddf97b2cdea66df71&g=libreoffice-3-5

fdo#46966 dmapper: fix headery/footery default value


It will be available in LibreOffice 3.5.6.
Comment 7 Robinson Tryon (qubit) 2015-12-17 12:04:25 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]